Retail Express API 2.1

Gets specific Voucher Type by unique id

Gets specific Voucher Type by unique id

get
https://api.retailexpress.com.au/v2.1/vouchertypes/{id}

Path Parameters

idinteger(int32)required

Voucher Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Voucher Type

VoucherType

* Additional properties are NOT allowed.
idinteger | null(int32)

Voucher type Id.

namestring | null

Voucher type code

voucher_textstring | null

Voucher type code

valid_for_daysinteger | null(int32)

Voucher type code

get/vouchertypes/{id}
 
application/json

AccountCustomer

object

Account customer view model

* Additional properties are NOT allowed.
credit_blockedboolean

Is credit blocked

credit_limitnumber(double)

Credit limit

credit_remainingnumber(double)

Credit remaining

enabledboolean

Is enabled

payment_termsinteger(int32)

Payment terms

Example

Attribute

object
* Additional properties are NOT allowed.
idinteger(int32)

Attribute Id

namestring

Attribute Name

typestringread-only

Attribute Type

modified_onstring(date-time)
valueobject
* Additional properties are NOT allowed.
Show Child Parameters
Example

Attribute.PagingResponse

object
* Additional properties are NOT allowed.
dataarray[object]
* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
Example

AttributeValue

object

Product attribute value model

* Additional properties are NOT allowed.
idinteger(int32)

Attribute Value Id

attribute_idinteger(int32)

Attribute Id

namestring

Attribute Value Name

list_orderinteger(int32)

Attribute Value List Order

modified_onstring(date-time)

Modified on

Example